## NemoPropertyPage

NemoPropertyPage — A widget that can display additional info about a file.

## Functions

NemoPropertyPage * | nemo_property_page_new ()

## Properties

GtkWidget * | label | Read / Write
char * | name | Read / Write / Construct Only
GtkWidget * | page | Read / Write

## Types and Values

| NemoPropertyPage

## Object Hierarchy

        GObject
        ╰── NemoPropertyPage

## Description

Additional stack pages for a file's properties window can be provided by a NemoPropertyPageProvider. An appropriate parent GtkWidget is created (usually a container type,) along with a label for the stack switcher.

## Functions

### nemo_property_page_new ()

    NemoPropertyPage *
    nemo_property_page_new (const char *name,
                            GtkWidget *label,
                            GtkWidget *page);

Creates a new NemoPropertyPage from page_widget.

#### Parameters

name | the identifier for the property page |
label | the user-visible label of the property page |
page | the property page to display |

#### Returns

a newly created NemoPropertyPage

## Types and Values

### NemoPropertyPage

    typedef struct _NemoPropertyPage NemoPropertyPage;

## Property Details

### The `“label”` property

      “label”                    GtkWidget *

Label widget to display in the notebook tab.

Owner: NemoPropertyPage

Flags: Read / Write

### The `“name”` property

      “name”                     char *

Name of the page.

Owner: NemoPropertyPage

Flags: Read / Write / Construct Only

Default value: NULL

### The `“page”` property

      “page”                     GtkWidget *

Widget for the property page.

Owner: NemoPropertyPage

Flags: Read / Write